OGRE: Ogre::CompositorInstance::TargetOperation Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::CompositorInstance::TargetOperation Class Reference

Operation setup for a RenderTarget (collected). More...

`#include <OgreCompositorInstance.h>`

## Public Types
typedef std::bitset< RENDER_QUEUE_COUNT > | RenderQueueBitSet
| A set of render queues to either include or exclude certain render queues.

## Public Member Functions
| TargetOperation ()
| TargetOperation (RenderTarget *inTarget)

## Public Attributes
int | alignCameraToFace
String | cameraOverride
int | currentQueueGroupID
| Current group ID.
bool | findVisibleObjects
| Whether this op needs to find visible scene objects or not.
bool | hasBeenRendered
| "Has been rendered" flag; used in combination with onlyInitial to determine whether to skip this target operation.
float | lodBias
| LOD offset.
String | materialScheme
| Which material scheme this op will use.
bool | onlyInitial
RenderQueueBitSet | renderQueues
| Which renderqueues to render from scene.
RenderSystemOpPairs | renderSystemOperations
| RenderSystem operations to queue into the scene manager, by uint8.
bool | shadowsEnabled
| Whether shadows will be enabled.
bool | swapBuffers
RenderTarget * | target
| Target.
uint32 | visibilityMask
| Scene visibility mask If this is 0, the scene is not rendered at all.

## Detailed Description

Operation setup for a RenderTarget (collected).

## Member Typedef Documentation

## ◆ RenderQueueBitSet

typedef std::bitset<RENDER_QUEUE_COUNT> Ogre::CompositorInstance::TargetOperation::RenderQueueBitSet

A set of render queues to either include or exclude certain render queues.

## Constructor & Destructor Documentation

## ◆ TargetOperation() [1/2]

Ogre::CompositorInstance::TargetOperation::TargetOperation | ( |  | ) |
| inline

## ◆ TargetOperation() [2/2]

Ogre::CompositorInstance::TargetOperation::TargetOperation | ( | RenderTarget * | inTarget | ) |
| inline

References alignCameraToFace, currentQueueGroupID, findVisibleObjects, hasBeenRendered, lodBias, materialScheme, onlyInitial, shadowsEnabled, swapBuffers, target, and visibilityMask.

## Member Data Documentation

## ◆ target

RenderTarget* Ogre::CompositorInstance::TargetOperation::target

Target.

Referenced by TargetOperation().

## ◆ currentQueueGroupID

int Ogre::CompositorInstance::TargetOperation::currentQueueGroupID

Current group ID.

Referenced by TargetOperation().

## ◆ renderSystemOperations

RenderSystemOpPairs Ogre::CompositorInstance::TargetOperation::renderSystemOperations

RenderSystem operations to queue into the scene manager, by uint8.

## ◆ visibilityMask

uint32 Ogre::CompositorInstance::TargetOperation::visibilityMask

Scene visibility mask If this is 0, the scene is not rendered at all.

Referenced by TargetOperation().

## ◆ lodBias

float Ogre::CompositorInstance::TargetOperation::lodBias

LOD offset.

This is multiplied with the camera LOD offset 1.0 is default, lower means lower detail, higher means higher detail

Referenced by TargetOperation().

## ◆ renderQueues

RenderQueueBitSet Ogre::CompositorInstance::TargetOperation::renderQueues

Which renderqueues to render from scene.

## ◆ onlyInitial

bool Ogre::CompositorInstance::TargetOperation::onlyInitial

See also
  CompositionTargetPass::mOnlyInitial

Referenced by TargetOperation().

## ◆ hasBeenRendered

bool Ogre::CompositorInstance::TargetOperation::hasBeenRendered

"Has been rendered" flag; used in combination with onlyInitial to determine whether to skip this target operation.

Referenced by TargetOperation().

## ◆ findVisibleObjects

bool Ogre::CompositorInstance::TargetOperation::findVisibleObjects

Whether this op needs to find visible scene objects or not.

Referenced by TargetOperation().

## ◆ materialScheme

String Ogre::CompositorInstance::TargetOperation::materialScheme

Which material scheme this op will use.

Referenced by TargetOperation().

## ◆ shadowsEnabled

bool Ogre::CompositorInstance::TargetOperation::shadowsEnabled

Whether shadows will be enabled.

Referenced by TargetOperation().

## ◆ cameraOverride

String Ogre::CompositorInstance::TargetOperation::cameraOverride

## ◆ alignCameraToFace

int Ogre::CompositorInstance::TargetOperation::alignCameraToFace

Referenced by TargetOperation().

## ◆ swapBuffers

bool Ogre::CompositorInstance::TargetOperation::swapBuffers

Referenced by TargetOperation().

The documentation for this class was generated from the following file:

- OgreCompositorInstance.h